arrow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject arrow git commit: ARROW-217: Fix Travis w.r.t conda 4.1.0 changes
Date Wed, 15 Jun 2016 20:28:20 GMT
Repository: arrow
Updated Branches:
  refs/heads/master ec66ddd1f -> b4e0e93d5


ARROW-217: Fix Travis w.r.t conda 4.1.0 changes

Travis is happy, fixes the problems we see with Travis in #85

Author: Uwe L. Korn <uwelk@xhochy.com>

Closes #90 from xhochy/fix-conda-show-channel-urls and squashes the following commits:

82e9840 [Uwe L. Korn] ARROW-217: Fix Travis w.r.t. conda 4.1.0 changes


Project: http://git-wip-us.apache.org/repos/asf/arrow/repo
Commit: http://git-wip-us.apache.org/repos/asf/arrow/commit/b4e0e93d
Tree: http://git-wip-us.apache.org/repos/asf/arrow/tree/b4e0e93d
Diff: http://git-wip-us.apache.org/repos/asf/arrow/diff/b4e0e93d

Branch: refs/heads/master
Commit: b4e0e93d580b8e0344c0caa1cf51cbe088bd25ac
Parents: ec66ddd
Author: Uwe L. Korn <uwelk@xhochy.com>
Authored: Wed Jun 15 13:28:10 2016 -0700
Committer: Wes McKinney <wesm@apache.org>
Committed: Wed Jun 15 13:28:10 2016 -0700

----------------------------------------------------------------------
 ci/travis_before_script_cpp.sh | 2 +-
 ci/travis_conda_build.sh       | 2 +-
 ci/travis_install_conda.sh     | 4 +++-
 3 files changed, 5 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/arrow/blob/b4e0e93d/ci/travis_before_script_cpp.sh
----------------------------------------------------------------------
diff --git a/ci/travis_before_script_cpp.sh b/ci/travis_before_script_cpp.sh
index 6159f67..9060cc9 100755
--- a/ci/travis_before_script_cpp.sh
+++ b/ci/travis_before_script_cpp.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-set -e
+set -ex
 
 source $TRAVIS_BUILD_DIR/ci/travis_install_conda.sh
 conda install -y --channel apache/channel/dev parquet-cpp

http://git-wip-us.apache.org/repos/asf/arrow/blob/b4e0e93d/ci/travis_conda_build.sh
----------------------------------------------------------------------
diff --git a/ci/travis_conda_build.sh b/ci/travis_conda_build.sh
index c43a851..a787df7 100755
--- a/ci/travis_conda_build.sh
+++ b/ci/travis_conda_build.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-set -e
+set -ex
 
 source $TRAVIS_BUILD_DIR/ci/travis_install_conda.sh
 

http://git-wip-us.apache.org/repos/asf/arrow/blob/b4e0e93d/ci/travis_install_conda.sh
----------------------------------------------------------------------
diff --git a/ci/travis_install_conda.sh b/ci/travis_install_conda.sh
index bef667d..be7f59a 100644
--- a/ci/travis_install_conda.sh
+++ b/ci/travis_install_conda.sh
@@ -15,9 +15,11 @@ export PATH="$MINICONDA/bin:$PATH"
 conda update -y -q conda
 conda info -a
 
-conda config --set show_channel_urls yes
+conda config --set show_channel_urls True
+conda config --add channels https://repo.continuum.io/pkgs/free
 conda config --add channels conda-forge
 conda config --add channels apache
+conda info -a
 
 conda install --yes conda-build jinja2 anaconda-client
 


Mime
View raw message